> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-transformations-delete.md).

# workflows versions transformations delete

Delete workflow transformation

## Synopsis

### Delete Workflow Transformation

```shell
omics alpha workbench workflows versions transformations delete TRANSFORMATION_ID
  [--workflow=WORKFLOW_ID]
  [--version=VERSION_ID]
  [--namespace=NAMESPACE]
  [--force]
```

## Description

Delete workflow transformation for the given transformation ID. This action is irreversible, and the user will be prompted to verify the action before proceeding. You can use the `--force` flag to skip the verification prompt.

## Examples

Delete a workflow transformation by its ID with verification:

```shell
omics alpha workbench workflows versions transformations delete my-transformation --workflow my-workflow-id --version v1
```

Delete a workflow transformation by its ID without verification:

```shell
omics alpha workbench workflows versions transformations delete my-transformation --workflow my-workflow-id --version v1 --force
```

## Positional Arguments

### `TRANSFORMATION_ID`=`STRING`

ID of the workflow transformation to be deleted. This positional argument is required.

## Flags

### `--workflow`=`STRING`

The ID of the workflow for which the transformation will be deleted. This flag is required.

### `--version`=`STRING`

The ID of the workflow version for which the transformation will be deleted. This flag is required.

### `--namespace`=`STRING`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.

### `--force`

Skip the verification prompt before deleting the workflow transformation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-transformations-delete.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
